#' @include robimetabar.R
NULL


#' Title
#'
#' @param data
#'
#' @return
#' @export
#'
#' @examples
seek_contaminents <- function(data) {
  UseMethod("seek_contaminents",data)
}

#' @rdname seek_contaminents
#' @export
seek_contaminents.robimetabar <- function(data) {
  sid_name <- samples_ids_colname(data)
  mid_name <- motus_ids_colname(data)
  cat_name <- categories_colname(data)

  suppressWarnings(
    data %>%
    motus_sample_max()  %>%
    left_join(motus(data) %>% select(mid_name,taxid),
              by = mid_name) %>%
    left_join(samples(data) %>% select(sid_name,cat_name),
              by = c(sample_max=sid_name))) %>%
    filter(category != "sample" & category != "positive_ctrl") %>%
  arrange(category,desc(sample_count_max)) %>%
    as_robimotu()
}

