#' @import dplyr
#' @import tidyr
#' @import tibble
#'
#' @include robimetabar_filter.R
#' @include robisample.R
#' @include robimotu.R
#'
NULL

#' @rdname motus
#' @export
store_into_samples.robisample <- function(value, data) {
  robiassert_arg(is_robimetabar(data),
                 "data",
                 "the data parameter must belong the class robimetabar, not {dclass}",
                 dclass = class(data)[1])

  data$samples <- value

  invisible(data)
}

#' @rdname motus
#' @export
store_into_sample.data.frame <- function(value, data) {
  store_into_sample.robimotu(robisample(value),data)
}

#' @rdname motus
#' @export
store_into_motus.robimotu <- function(value, data) {
  robiassert_arg(is_robimetabar(data),
                 "data",
                 "the data parameter must belong the class robimetabar, not {dclass}",
                 dclass = class(data)[1])

  data$motus <- value

  invisible(data)
}

#' @export
store_into.robimotu <- function(value, data) {
  invisible(store_into_motus.robimotu(value, data))
}

#' @export
store_into.robisample <- function(value, data) {
  invisible(store_into_samples.robisample(value, data))
}


#' @rdname motus
#' @export
store_into_motus.data.frame <- function(value, data) {
  store_into_motus.robimotu(robimotu(value),data)
}
