#' @import vegan
#'
NULL

has.vegan = suppressMessages(require(vegan,
                                     quietly = TRUE))

# message(has.vegan)

#' @author Eric Coissac
#' @export
decostand = function(x=NULL, method,
                     MARGIN, range.global,
                     logbase,
                     na.rm,
                     layer = "reads",
                     ...) {
  # message("Generic call with class: ",deparse(class(x)))
  # message(deparse(match.call()))

  UseMethod("decostand",x)
}

#' @author Eric Coissac
#' @export
decostand.default = function(x, method,
                     MARGIN, range.global,
                     logbase,
                     na.rm,
                     layer,
                    ...) {

   call = match.call()
   call[[1]]=quote(vegan::decostand)
   call$layer=NULL

   # message("From decostand.default : ",deparse(call))

   eval(call)
}

#' @author Eric Coissac
#' @export
decostand.NULL = function(x, method,
                          MARGIN, range.global,
                          logbase,
                          na.rm,
                          layer = "reads",
                          ...) {

  closure = function(data) {
    call$x=quote(data)
    eval(call)
  }

  call = match.call()
  call[[1]]=quote(decostand)

  return(closure)
}

#' @author Eric Coissac
#' @export
decostand.robimetabar = function(x, method,
                                 MARGIN, range.global,
                                 logbase,
                                 na.rm,
                                 layer="reads",
                                 ...) {

  call = match.call()
  call$x=x[[layer]]
  call$layer=NULL
  call[[1]]=quote(decostand.default)

  # message("ROBIMetabar class: ",deparse(call))
  # message(deparse(match.call()))

  rep = eval(call)
  return(rep)
}
