% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robisample.R, R/robimetabar.R
\name{categories}
\alias{categories}
\alias{categories_colname}
\alias{categories.default}
\alias{categories_colname.robisample}
\alias{categories.robisample}
\alias{categories.robimetabar}
\alias{categories_colname.robimetabar}
\title{categories of a \code{robisample} instance}
\usage{
categories(object)

categories_colname(object)

\method{categories}{default}(object)

\method{categories_colname}{robisample}(object)

\method{categories}{robisample}(object)

\method{categories}{robimetabar}(object)

\method{categories_colname}{robimetabar}(object)
}
\arguments{
\item{object}{the object to analyse}
}
\value{
a \code{\link[tidyr]{tibble}} instance. Moreover the
       column containing te sample ids, it contains the
        \code{\link[ROBITools2]{robicategory}} column.

a \code{character} string.
}
\description{
categories of a \code{robisample} instance
}
\details{
Extracts the \code{\link[ROBITools2]{robiuniqueid}} column
from a \code{\link[ROBITools2]{robidata}} instance.

Extracts the name of the \code{\link[ROBITools2]{robicategory}}
column from a \code{\link[ROBITools2]{robisample}} instance.
}
\examples{

  s <- robisample(n=4)
  categories_colname(s)


  s <- robisample(n=4)
  categories(s)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
