% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R
\name{dim.robimetabar}
\alias{dim.robimetabar}
\title{Retrieve the dimension of a `robimetabar` object.}
\usage{
\method{dim}{robimetabar}(x)
}
\arguments{
\item{x}{a `robimetabar` instance}
}
\value{
Dim returns a vector of two numbers respectively the number
        of samples and the number of MOTUs.
}
\description{
Retrieve the dimension of a `robimetabar` object.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

  metabar <- robimetabar(reads = reads)
  dim(metabar)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
