% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R
\name{dimnames.robimetabar}
\alias{dimnames.robimetabar}
\title{Retrieve the dimnames of an object.}
\usage{
\method{dimnames}{robimetabar}(x)
}
\arguments{
\item{x}{a `robimetabar` instance}
}
\value{
The dimnames function returns a list of length equals to two.
        Each element of this list is a character vector.
        The first element contains sample names, the second MOTU names
}
\description{
Retrieve the dimnames of an object.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

metabar <- robimetabar(reads = reads)
dimnames(metabar)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
