% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/method_ecofind.R
\name{ecofind}
\alias{ecofind}
\title{Returns taxids associated to the names.}
\usage{
ecofind(
  patterns,
  taxonomy,
  rank = NULL,
  subclade_of = NULL,
  alternative = FALSE,
  exact = TRUE,
  full_length = FALSE,
  case_sensitive = FALSE
)
}
\arguments{
\item{patterns}{one or several regular pattern used to select the the taxa.}

\item{taxonomy}{an object able to provide a taxonomy.}

\item{rank}{a \code{character} indicating a taxonomic rank. If not \code{NULL}
only taxids correponding to this rank are returned.}

\item{alternative}{A logical value \code{TRUE} or \code{FALSE} indicating
if the function must only look for a scientific name.}

\item{case_sensitive}{}
}
\value{
if just one pattern is given, an integer vector is returned with the
        corresponding taxids. If a list of patterns is given, the function
        returns a list of integer vectors, each vector containing the taxids
        corresponding to a pattern. The returned list is in the same order
        than the given patern list.
}
\description{
Return the set of taxids having their name matching the given pattern.
}
\author{
Eric Coissac
}
