% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robidata.R
\name{ids}
\alias{ids}
\alias{ids_colname}
\alias{ids.default}
\alias{ids_colname.robidata}
\alias{ids.robidata}
\title{Ids of a \code{robidata}}
\usage{
ids(object)

ids_colname(object)

\method{ids}{default}(object)

\method{ids_colname}{robidata}(object)

\method{ids}{robidata}(object)
}
\arguments{
\item{object}{the object to analyse}
}
\value{
a \code{\link[tidyr]{tibble}} instance with a single
       \code{\link[ROBITools2]{robiuniqueid}} column.

a \code{character} string.
}
\description{
Ids of a \code{robidata}
}
\details{
Extract the \code{\link[ROBITools2]{robiuniqueid}} column
from a \code{\link[ROBITools2]{robidata}} instance.

Extract the name of the \code{\link[ROBITools2]{robiuniqueid}}
column from a \code{\link[ROBITools2]{robidata}} instance.
}
\examples{

  s <- robisample(n=4)
  ids_colname(s)


  s <- robisample(n=4)
  ids(s)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>

Eric Coissac <eric.coissac@metabarcoding.org>
}
