% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/parse_sample_ids.R
\name{.merged_parsed_ids_and_samples}
\alias{.merged_parsed_ids_and_samples}
\title{Merge the id parsing tibble with the original  \code{\link[ROBITools2]{robisample}}.}
\usage{
.merged_parsed_ids_and_samples(
  i,
  object,
  parts,
  category_mapping,
  sample_categories,
  replace,
  prefix
)
}
\arguments{
\item{i}{the id parsing tibble}

\item{object}{the object to parse a \code{\link[ROBITools2]{robisample}},
or a \code{\link[ROBITools2]{robimetabar}} instance.}

\item{parts}{a string vector indicating the name of each sub-pattern
produced. It can include or not a name for the last sub-pattern,
that actually corresponds to the full id. if the \code{include_full}
parameter is set to \code{FALSE} don't provide name for the full id.}

\item{category_mapping}{a category mapping object mapping actual category
names to the levels of a \code{\link[ROBITools2]{robicategory}}
instance (see \code{\link[ROBITools2]{robicategory_mapping}}.}

\item{sample_categories}{a string indicating which part of the id contains
the sample}

\item{replace}{if the initial \code{\link[ROBITools2]{robisample}} had columns
with the same names, do the new ones replace the originals.}

\item{n}{an integer value, used if no \code{parts} are specified. The
parts names will be build by pasting the \code{prefix} with a
number ranging from 1 to \code{n}.}

\item{pattern}{a string used to split the id. It cannot be a regular
pattern. It as to be a simple string.}

\item{include_full}{a logical value indicating if the full id has to
be conserved as a new field in the \code{\link[ROBITools2]{robisample}}.}
}
\value{
a \code{\link[ROBITools2]{robisample}} instance
}
\description{
Internal function. Please do not use.
}
