% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_methods.R, R/taxonomy_robi.R
\name{lowest_common_ancestor}
\alias{lowest_common_ancestor}
\alias{lowest_common_ancestor.robitaxonomy}
\title{Computes the lowest common ancestor in the taxonomy tree between a set of taxa}
\usage{
lowest_common_ancestor(
  taxonomy,
  threshold = 1,
  error = 0,
  na.rm = TRUE,
  only_lca = FALSE
)

\method{lowest_common_ancestor}{robitaxonomy}(
  taxonomy,
  threshold = 1,
  error = 0,
  na.rm = TRUE,
  only_lca = FALSE
)
}
\arguments{
\item{taxonomy}{an instance of \code{\linkS4class{obitools.taxonomy}}}

\item{threshold}{a numeric value between 0.0 and 1.0 indicating the minimum
quorum of taxid that must belong the LCA.}

\item{error}{an integer value indicating the maximum count of taxids that
have not to belong the returned taxid. A \code{threshold} below 1.0 have
 priority on the \code{error} parameter.}

\item{taxid}{an integer value or a vector of integer representing NCBI
taxonomic identifiers.}

\item{name}{A logical value \code{TRUE} or \code{FALSE} indicating if the
method return a \emph{taxid} or a scientific name.}
}
\value{
Depending on the value of the \code{name} argument, set by default
        to \code{FALSE} the method returns :
   \describe{
          \item{If \code{name==FALSE}}{ the taxid of the taxon corresponding
            to the LCA as an integer value}
          \item{If \code{name==TRUE}}{ the scientific name of the taxon
                corresponding to the LCA as a string}
         }
}
\description{
The \code{lowest.common.ancestor} function in package \pkg{ROBITaxonomy} computes
the lowest common ancestor of a set of taxids. The lowest common ancestor (LCA)
is the most precise taxonomic group shared by all the considered taxa. Tha
\code{lowest.common.ancestor} function implemented in the \pkg{ROBITaxonomy}
package, considers a fuzzy definition of the LCA as the most precise
taxonomic group shared by a quorum of the considered taxa.
}
\author{
Eric Coissac
}
