% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R, R/metabar_data_class.R
\name{motus_ids_colname.robimetabar}
\alias{motus_ids_colname.robimetabar}
\alias{motus_ids.robimetabar}
\alias{motus_ids_colname}
\alias{motus_ids}
\title{Returns motu ids column name}
\usage{
\method{motus_ids_colname}{robimetabar}(object)

\method{motus_ids}{robimetabar}(object)

motus_ids_colname(data)

motus_ids(data)
}
\arguments{
\item{data}{a metabar object}
}
\value{
a charactere value
}
\description{
The structure describing MOTUs in a metabar object
contains a column containing the MOTU's names.
\code{motu_ids_name} returns the name of that column.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

  metabar <- robimetabar(reads = reads)
  motus_ids_colname(metabar)

}
\seealso{
\code{\link[ROBITools2]{sample_ids_names}},
         \code{\link[ROBITools2]{sample_ids}},
         \code{\link[ROBITools2]{motus_ids}}
}
\author{
Eric Coissac

Eric Coissac
}
