% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/type_robiobject.R
\name{new_robiobject}
\alias{new_robiobject}
\title{Makes an object a member of the \code{robiobject} class.}
\usage{
new_robiobject(object, ..., class = character())
}
\arguments{
\item{object}{the object to modify}

\item{...}{Passed on to \code{\link[base]{structure}}()}

\item{class}{Subclasses to assign to the new object, default: none}
}
\description{
Makes an object a member of the \code{robiobject} class.
}
\examples{
o <- 1:10
a <- new_robiobject(a)
is_robiobject(a)
}
\seealso{
\code{\link[ROBITools2]{unclass_robiobject}},
         \code{\link[ROBITools2]{is_robiobject}}
}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
