% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/type_robiuniqueid.R
\name{new_robiuniqueid}
\alias{new_robiuniqueid}
\title{Creates a new instance of \code{robiuniqueid}.}
\usage{
new_robiuniqueid(
  object = character(0),
  make_unique = TRUE,
  sep = "_",
  ...,
  verbose = is_robi_verbose(),
  class = character()
)
}
\arguments{
\item{object}{the object to modify}

\item{make_unique}{If some values are not unique the unicity is forced by
adding a suffix to the duplicated item.}

\item{sep}{a \code{character} separator to be added before the unicity suffix.}

\item{...}{Passed on to \code{\link[base]{structure}}()}

\item{verbose}{if \code{TRUE} warnings and messages are emitted when the
constructor takes some decision because of missing values and estimates
default values these missing data.}

\item{class}{Subclasses to assign to the new object, default: none}
}
\value{
a \code{robiuniqueid} instance.
}
\description{
Creates a new instance of \code{robiuniqueid}.
}
\examples{
new_robiuniqueid(c("A", "A", "B", "C"))

}
\author{
Eric Coissac \href{mailto:eric.coissac@metabarcoding.org}{eric.coissac@metabarcoding.org}
}
