% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R, R/metabar_data_class.R
\name{nmotus.robimetabar}
\alias{nmotus.robimetabar}
\alias{nmotus}
\title{Returns number of MOTUs}
\usage{
\method{nmotus}{robimetabar}(data)

nmotus(data)
}
\arguments{
\item{data}{a metabar object}
}
\value{
an numeric value
}
\description{
Returns the number of MOTUs stored in a metabar object.
That number corresponds to the culumn count of the contengency matrix.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

  metabar <- robimetabar(reads = reads)
  nmotus(metabar)

}
\seealso{
\code{\link[ROBITools2]{nsamples}}
}
\author{
Eric Coissac
}
