% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R, R/metabar_data_class.R
\name{nsamples.robimetabar}
\alias{nsamples.robimetabar}
\alias{nsamples}
\title{Returns number of samples}
\usage{
\method{nsamples}{robimetabar}(data)

nsamples(data)
}
\arguments{
\item{data}{a metabar object}
}
\value{
an numeric value
}
\description{
Returns the number of samples stored in a metabar object.
That number corresponds to the row count of the contengency matrix.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

  metabar <- robimetabar(reads = reads)
  nsamples(metabar)

}
\seealso{
\code{\link[ROBITools2]{nmotus}}
}
\author{
Eric Coissac
}
