% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/randseq.R
\name{rbarcode}
\alias{rbarcode}
\title{Generates random barcodes}
\usage{
rbarcode(
  nseq = 16,
  kmer = 6,
  sizes = 100,
  max_homo = 3,
  max_trial = 1000,
  verbose = FALSE
)
}
\arguments{
\item{nseq}{number of barcodes to generate.}

\item{kmer}{size of the kmer you don't want to repeat over every generated sequences.}

\item{sizes}{a numeric vector with the lengths of the generated sequences, if shorter than \code{nseq}, it is repeated as needed.}

\item{max_homo}{the maximum length of an homopolymers.}

\item{max_trial}{maximum number of trial to build a sequenceof the requested length}

\item{verbose}{if \code{TRUE} some messages about failures during computation are emited}
}
\value{
a vector of character
}
\description{
Generates random barcodes
}
\examples{

  rbarcode(nseq = 32, kmer = 6, sizes = 100, max_homo = 3)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
