% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/method_reference_taxonomy.R
\name{reference_taxonomy}
\alias{reference_taxonomy}
\alias{reference_taxonomy.robitaxonomy}
\alias{reference_taxonomy.robitaxid}
\title{Returns the reference taxonomy of an object}
\usage{
reference_taxonomy(object)

\method{reference_taxonomy}{robitaxonomy}(object)

\method{reference_taxonomy}{robitaxid}(object)
}
\arguments{
\item{object}{the interrogated object.}
}
\value{
a robitaxonomy instance.
}
\description{
robiobjects including taxonomy can be linked to a reference taxonomy.
This method return this taxonomy.
}
\details{
For \code{\link[ROBITools2]{robitaxid}}, if no reference taxonomy
         are attached to an instance, then the ROBITools2 default taxonomy
         is returned.
}
\examples{

  x <- as_robitaxid(c(1,2,2759))
  reference_taxonomy(x)

}
\seealso{
\code{\link[ROBITools2]{get_default_taxonomy}},
         \code{\link[ROBITools2]{set_default_taxonomy}}.
}
\author{
Eric Coissac
}
