% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{robiassert}
\alias{robiassert}
\alias{robiassert_arg}
\title{Generate an error on false assertion.}
\usage{
robiassert(predicat, message, ..., .envir = parent.frame(), .abort = abort)

robiassert_arg(
  predicat,
  arg,
  message,
  ...,
  .envir = parent.frame(),
  .abort = abort
)
}
\arguments{
\item{predicat}{a logical value}

\item{message}{a character used as error message using the
\code{\link[glue]{glue}} formater}

\item{...}{supplementary variables used by the error message}

\item{.envir}{the environment where glue evaluate expressions}

\item{.abort}{the methode to call to raise the error. can be
\code{\link[rlang]{abort}}, the default,
\code{\link[rlang]{warm}}, or \code{\link[rlang]{inform}}}

\item{arg}{a character string indicating the name of the argument generating
the error}

\item{call}{logical, indicating if the call should become part of the error}
}
\value{
the predicat value
}
\description{
Generate an error on false assertion.
}
\examples{
   robiassert(3==3,"The value {a} is different to value {b}",
              a=3,b=4)

   robiassert_arg(3==3,"titi","The value {a} is different to value {b}",
                  a=3,b=4)

}
