% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/type_robiatomic.R, R/robicategory.R
\name{robiatomic}
\alias{robiatomic}
\alias{new_robiatomic}
\alias{is_robiatomic}
\alias{as_robiatomic}
\alias{is_robicategory}
\title{Robiatomic vectors.}
\usage{
robiatomic(length = 0)

new_robiatomic(object, ..., class)

is_robiatomic(object)

as_robiatomic(object)

is_robicategory(object)
}
\arguments{
\item{length}{A non-negative integer specifying the desired length. Double
values will be coerced to integer: supplying an argument of length other
than one is an error.}

\item{object}{the object used as base to build the \code{robitatomic} instance}

\item{...}{Passed on to \code{\link[base:structure]{base::structure()}}. It allows for
defining attributes, specified in tag = value form, which will be attached
to data.}

\item{class}{Subclasses to assign to the new object. For the \code{robiatomic}
constructor, \code{class}must be specied as \code{robiatomic} is an abstract class.}

\item{`object`}{the object to test}
}
\value{
the \code{robiatomic()} constructor returns nothing but raises an error.

\code{new_robiatomic} returns a new instance of \code{robiatomic}.

a \code{\link{logical}} value

a \code{\link{logical}} value
}
\description{
\code{robiatomic} is an abstract class in the ROBITools2 package. It is the ancestor
of every vector values. It is relying on the \code{\link{vctrs}} library. and most
of the \code{robiatomic} subclasses are also subclasses of
\code{\link[vctrs:vctrs_vctr]{vctrs::vctrs_vctr}}. It is notably the super class of :
}
\details{
\itemize{
\item \code{\link{robicategory}}
\item \code{\link{robitag}}
\item \code{\link{robitaxid}}
\item \code{\link{robiuniqueid}}
}

the \code{robiatomic()} constructor just raises an error.

\code{is_robiatomic} tests if an object belongs the \code{robiatomic} class

\code{as_robiatomic} throw an error to prevent creation of an abstract
class instance.

\code{is_robicategory} tests if an object belongs the \code{robicategory} class
}
\examples{

xd <- new_robiatomic(1:10,class="robifoo")

is_robiatomic(xd)
is_robiatomic(1:10)


is_robicategory(rc)
is_robiatomic(1:10)

}
\author{
Eric Coissac \href{mailto:eric.coissac@metabarcoding.org}{eric.coissac@metabarcoding.org}
}
