% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robicategory.R
\name{robicategory_mapping}
\alias{robicategory_mapping}
\title{Mapping of a character vector to a \code{robicategory} instance.}
\usage{
robicategory_mapping(
  sample = "s",
  positive_ctrl = "PCRPos",
  extraction_blk = "coExt",
  pcr_blk = "PCRNeg",
  sequencing_blk = "blank",
  default = NA,
  verbose = is_robi_verbose()
)
}
\arguments{
\item{sample}{the string used to qualifying samples.}

\item{positive_ctrl}{the string used to qualifying positive controles}

\item{extraction_blk}{the string used to qualifying extraction blank.}

\item{pcr_blk}{the string used to qualifying PCR blank.}

\item{sequencing_blk}{the string used to sequencing blank.}

\item{default}{the default category when the name is matching no pattern}

\item{verbose}{if \code{TRUE} warnings and messages are emitted when the
constructor takes some decision because of missing values and estimates
default values these missing data.}
}
\value{
a \code{\link{robicategory}} instance.
}
\description{
The fonction \code{robicategory_mapping()} builds a mapping fonction
to translate a \code{\link[base:character]{base::character}} vector into a \code{\link{robicategory}}
instance.
}
\examples{

s <- c("blk","s","s","s","POS","Ext","NEG")

mapper <- robicategory_mapping(sample="s",
                               positive_ctrl="POS",
                               extraction_blk="blk",
                               pcr_blk="NEG",
                               sequencing_blk="blank")

rc <- mapper(s)

}
\author{
Eric Coissac \href{mailto:eric.coissac@metabarcoding.org}{eric.coissac@metabarcoding.org}
}
