% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R
\name{robimetabar}
\alias{robimetabar}
\title{Constructor for `robimetabar` instances.}
\usage{
robimetabar(
  data,
  samples,
  motus,
  distances = vector(mode = "list", 0),
  verbose = is_robi_verbose()
)
}
\arguments{
\item{data}{}

\item{samples}{must be a `tibble` or a data structure coercible to that type.
This table describes the samples. Each row correponds to a sample,
each column to a description variable. The table must have the same
number of row than the number of columns of the `reads` matrix.
This is not a mandatory parameter. If missing a default `samples`
table will be construct from the column names of the `reads` matrix.}

\item{motus}{must be a `tibble` or a data structure coercible to that type.
This table describes the MOTUs Each row correponds to a MOTU,
each column to a description variable. The table must have the same
number of row than the `reads` matrix.
This is not a mandatory parameter. If missing a default `motus`
table will be construct from the row names of the `reads` matrix.}

\item{distances}{a named list containing or \code{dist} object of the same size than
the number of row of the `reads` matrix, or function accepting as single
argument an instance of `robimetabar` and returning \code{dist} object
of the same size than the number of row of the `reads` matrix}

\item{verbose}{if `TRUE` warnings are emitted if the constructor takes
some decision because of missing values and estimates
default values these missing data.}
}
\value{
a \code{robimetabar} instance.
}
\description{
`robimetabar` builds a `robimetabar` instance from
simple R data structure.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

  metabar <- robimetabar(data = reads)

  samples(metabar)
  motus(metabar)
  metabar$reads

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
