% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/type_robitaxid.R
\name{robitaxid}
\alias{robitaxid}
\alias{new_robitaxid}
\alias{as_robitaxid}
\alias{robitaxid_master}
\alias{new_robitaxid_master}
\alias{as_robitaxid_master}
\alias{as_robitaxid_master.default}
\alias{robipath}
\alias{new_robipath}
\alias{robilca}
\alias{new_robilca}
\title{Build a \code{robitaxid} instance}
\usage{
robitaxid(length = 0)

new_robitaxid(
  object,
  reference = NULL,
  ...,
  verbose = is_robi_verbose(),
  class = character()
)

as_robitaxid(object)

robitaxid_master(length = 0)

new_robitaxid_master(
  object,
  reference = NULL,
  ...,
  verbose = is_robi_verbose(),
  class = character()
)

as_robitaxid_master(object)

\method{as_robitaxid_master}{default}(object)

robipath(length = 0)

new_robipath(
  object,
  reference = NULL,
  ...,
  verbose = is_robi_verbose(),
  class = character()
)

robilca(length = 0)

new_robilca(
  object,
  reference = NULL,
  ...,
  verbose = is_robi_verbose(),
  class = character()
)
}
\arguments{
\item{length}{A non-negative integer specifying the desired length. Double
values will be coerced to integer: supplying an argument of length other
than one is an error.}

\item{object}{the object to convert.}

\item{...}{Passed on to [`base::structure()`]. It allows for defining
attributes, specified in tag = value form, which will be attached to data
(see [`robiatomic`]).}

\item{verbose}{if `TRUE` warnings and messages are emitted when the
constructor takes some decision because of missing values and estimates
default values these missing data.}

\item{class}{Subclasses to assign to the new object, default: none}
}
\value{
a \code{robitaxid} instance

the \code{as_robitaxid()} funtion returns a \code{robitaxid} value.

the \code{as_robitaxid_master()} funtion returns a \code{robitaxid_master} value.
}
\description{
a \code{robitaxid} is an integer vector that is for storing numerical taxonomic
identifiers. They are usually used to store NCBI taxids. They have to be strictly
positive.
}
\details{
\code{as_robitaxid} converts an object to a \code{robitaxid} instance.
}
\examples{

  robitaxid(1:10)

new_robitaxid(1:10)


x <- c(1,10,33)
rt <- as_robitaxid(x)


x <- c(1,10,33)
rt <- as_robitaxid_master(x)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>

Eric Coissac <eric.coissac@metabarcoding.org>
}
