% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimetabar.R, R/metabar_data_class.R
\name{samples_ids_colname.robimetabar}
\alias{samples_ids_colname.robimetabar}
\alias{samples_ids.robimetabar}
\alias{samples_ids_colname}
\alias{samples_ids}
\title{Returns sample ids column name}
\usage{
\method{samples_ids_colname}{robimetabar}(object)

\method{samples_ids}{robimetabar}(object)

samples_ids_colname(data)

samples_ids(data)
}
\arguments{
\item{data}{a metabar object}
}
\value{
a charactere value
}
\description{
The structure describing samples in a metabar object
contains a column containing the sample's names.
\code{sample_ids_name} returns the name of that column.
}
\examples{
  reads <- matrix(1:12, nrow = 3)
  rownames(reads) <- c("sample_1", "sample_2", "sample_3")
  colnames(reads) <- c("motu_1", "motu_2", "motu_3", "motu_4")

  metabar <- robimetabar(reads = reads)
  sample_ids_name(metabar)

}
\seealso{
\code{\link[ROBITools2]{motu_ids_name}},\code{\link[ROBITools2]{motu_ids}},
         \code{\link[ROBITools2]{sample_ids}}
}
\author{
Eric Coissac

Eric Coissac
}
