% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_methods.R, R/taxonomy_robi.R
\name{scientific_name}
\alias{scientific_name}
\alias{scientific_name.robitaxid}
\alias{scientific_name.numeric}
\alias{scientific_name.tbl}
\alias{scientific_name.robimotu}
\alias{scientific_name.robimetabar}
\title{Returns the scientific name corresponding to a \emph{NCBI taxid}}
\usage{
scientific_name(data, taxonomy, results_in, ...)

\method{scientific_name}{robitaxid}(data, taxonomy, results_in)

\method{scientific_name}{numeric}(data, taxonomy, results_in)

\method{scientific_name}{tbl}(data, taxonomy, results_in, slot)

\method{scientific_name}{robimotu}(data, taxonomy, results_in, slot)

\method{scientific_name}{robimetabar}(data, taxonomy, results_in, slot)
}
\arguments{
\item{taxonomy}{an object able to provide a taxonomy.}

\item{taxid}{an integer value or a vector of integer representing NCBI
taxonomic identifiers.}
}
\value{
The scientific name of the corresponding taxon as a string or a
         vector of string if the \code{taxid} argument is itself a vector
}
\description{
\code{scientificname} function in package \pkg{\link{ROBITaxonomy}} returns the
scientific name corresponding to a \emph{NCBI taxid}.
}
\author{
Eric Coissac
}
