% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_methods.R
\name{superkingdom}
\alias{superkingdom}
\title{Extracts the superkingdom corresponding to a taxid}
\usage{
superkingdom(taxonomy, taxid, name = FALSE, na.rm = TRUE)
}
\arguments{
\item{taxonomy}{an object able to provide a taxonomy.}

\item{taxid}{a vector of taxid to analyse}

\item{name}{A logical value \code{TRUE} or \code{FALSE} indicating
if the method return a taxid or a scientific name.}
}
\value{
\describe{
  \item{If \code{name==FALSE}}{the taxid of the corresponding
                               taxon as an integer or a vector of integers
                               if the \code{taxid} argument is itself
                               a vector}
  \item{If \code{name==TRUE}}{the scientific name of the corresponding
                              taxon as a string or a vector of string
                              if the \code{taxid} argument is itself
                              a vector}
 }
}
\description{
The \code{superkingdom} method of \code{\linkS4class{obitools.taxonomy}} class
returns the \emph{taxid} or the scientific name of the superkingdom corresponding
to a \emph{taxid}.
}
\author{
Eric Coissac
}
