% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robisample.R, R/robimetabar.R
\name{tags}
\alias{tags}
\alias{tags_colname}
\alias{tags.default}
\alias{tags_colname.robisample}
\alias{tags.robisample}
\alias{forward_tags}
\alias{forward_tags_colname}
\alias{forward_tags.default}
\alias{forward_tags_colname.robisample}
\alias{forward_tags.robisample}
\alias{reverse_tags}
\alias{reverse_tags_colname}
\alias{reverse_tags.default}
\alias{reverse_tags_colname.robisample}
\alias{reverse_tags.robisample}
\alias{tags_colname.robimetabar}
\alias{forward_tags_colname.robimetabar}
\alias{reverse_tags_colname.robimetabar}
\alias{tags.robimetabar}
\alias{forward_tags.robimetabar}
\alias{reverse_tags.robimetabar}
\title{tags of a \code{robisample} instance}
\usage{
tags(object)

tags_colname(object)

\method{tags}{default}(object)

\method{tags_colname}{robisample}(object)

\method{tags}{robisample}(object)

forward_tags(object)

forward_tags_colname(object)

\method{forward_tags}{default}(object)

\method{forward_tags_colname}{robisample}(object)

\method{forward_tags}{robisample}(object)

reverse_tags(object)

reverse_tags_colname(object)

\method{reverse_tags}{default}(object)

\method{reverse_tags_colname}{robisample}(object)

\method{reverse_tags}{robisample}(object)

\method{tags_colname}{robimetabar}(object)

\method{forward_tags_colname}{robimetabar}(object)

\method{reverse_tags_colname}{robimetabar}(object)

\method{tags}{robimetabar}(object)

\method{forward_tags}{robimetabar}(object)

\method{reverse_tags}{robimetabar}(object)
}
\arguments{
\item{object}{the object to analyse}
}
\value{
a \code{\link[tidyr]{tibble}} instance. Moreover the
       column containing te sample ids, it can contain :
       a  single \code{\link[ROBITools2]{robitag}} column,
       a  \code{\link[ROBITools2]{robitag_forward}} and a
        \code{\link[ROBITools2]{robitag_reverse}} instance
        or no more column if no tags are defined for the samples.

a \code{character} string.

a \code{character} string.

a \code{character} string.
}
\description{
tags of a \code{robisample} instance
}
\details{
Extracts the \code{\link[ROBITools2]{robiuniqueid}} column
from a \code{\link[ROBITools2]{robidata}} instance.

Extracts the name of the \code{\link[ROBITools2]{robitag}}
column from a \code{\link[ROBITools2]{robisample}} instance.

Extracts the name of the \code{\link[ROBITools2]{robitag_forward}}
column from a \code{\link[ROBITools2]{robisample}} instance.

Extracts the name of the \code{\link[ROBITools2]{robitag_reverse}}
column from a \code{\link[ROBITools2]{robisample}} instance.
}
\examples{

  s <- robisample(n=4)
  tags_colname(s)


  s <- robisample(n=4)
  tags(s)


  s <- robisample(n=4)
  forward_tags_colname(s)


  s <- robisample(n=4)
  tags(s)


  s <- robisample(n=4)
  reverse_tags_colname(s)


  s <- robisample(n=4)
  tags(s)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
