% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/robimotu.R, R/robimetabar.R
\name{taxids}
\alias{taxids}
\alias{taxids_colname}
\alias{taxids.default}
\alias{taxids_colname.tbl}
\alias{taxids.robimotu}
\alias{master_taxids}
\alias{master_taxids_colname}
\alias{master_taxids.default}
\alias{master_taxids_colname.tbl}
\alias{master_taxids.robimotu}
\alias{taxids_colname.robimetabar}
\alias{master_taxids_colname.robimetabar}
\alias{taxids.robimetabar}
\alias{master_taxids.robimetabar}
\title{taxids of a \code{robimotu} instance}
\usage{
taxids(object)

taxids_colname(object)

\method{taxids}{default}(object)

\method{taxids_colname}{tbl}(object)

\method{taxids}{robimotu}(object)

master_taxids(object)

master_taxids_colname(object)

\method{master_taxids}{default}(object)

\method{master_taxids_colname}{tbl}(object)

\method{master_taxids}{robimotu}(object)

\method{taxids_colname}{robimetabar}(object)

\method{master_taxids_colname}{robimetabar}(object)

\method{taxids}{robimetabar}(object)

\method{master_taxids}{robimetabar}(object)
}
\arguments{
\item{object}{the object to analyse}
}
\value{
a \code{\link[tidyr]{tibble}} instance. Moreover the
       column containing te sample ids, it contains
       a  \code{\link[ROBITools2]{robitaxid_master}} column,
       and eventually several other \code{\link[ROBITools2]{robitaxid}}
       columns or no more column if no taxids are defined for the motus.

a \code{character} string.

a \code{character} string.
}
\description{
taxids of a \code{robimotu} instance
}
\details{
Extracts the \code{\link[ROBITools2]{robiuniqueid}} columns
from a \code{\link[ROBITools2]{robidata}} instance.

Extracts the names of the \code{\link[ROBITools2]{robitaxid}}
column from a \code{\link[ROBITools2]{robimotu}} instance.

Extracts the name of the \code{\link[ROBITools2]{robitaxid_master}}
column from a \code{\link[ROBITools2]{robimotu}} instance.
}
\examples{

  s <- robimotu(n=4)
  taxids_colname(s)


  s <- robimotu(n=4)
  taxids(s)


  s <- robimotu(n=4)
  master_taxids_colname(s)


  s <- robimotu(n=4)
  taxids(s)

}
\author{
Eric Coissac <eric.coissac@metabarcoding.org>
}
