% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_methods.R, R/taxonomy_robi.R
\name{taxon_at_rank}
\alias{taxon_at_rank}
\alias{taxon_at_rank.robitaxid}
\alias{taxon_at_rank.numeric}
\title{Extracts the taxid at a specified taxonomic rank.}
\usage{
taxon_at_rank(data, taxonomy, rank, with_name = FALSE, results_in, ...)

\method{taxon_at_rank}{robitaxid}(data, taxonomy, rank, with_name = FALSE, results_in)

\method{taxon_at_rank}{numeric}(data, taxonomy, rank, with_name = FALSE, results_in)
}
\arguments{
\item{taxonomy}{an object able to provide a taxonomy.}

\item{rank}{a \code{character} indicating the desired rank}

\item{taxid}{a vector of taxid to analyse}

\item{name}{A logical value \code{TRUE} or \code{FALSE} indicating
if the method return a taxid or a scientific name.}
}
\value{
\describe{
  \item{If \code{name==FALSE}}{the taxid of the corresponding
                               taxon as an integer or a vector of integers
                               if the \code{taxid} argument is itself
                               a vector}
  \item{If \code{name==TRUE}}{the scientific name of the corresponding
                              taxon as a string or a vector of string
                              if the \code{taxid} argument is itself
                              a vector}
 }
}
\description{
The \code{taxonatrank} method of \code{\linkS4class{obitools.taxonomy}} class
returns the \emph{taxid} or the scientific name corresponding
to a \emph{taxid}.at a specified taxonomic rank
}
\author{
Eric Coissac
}
