% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_methods.R, R/taxonomy_robi.R
\name{taxonomic_parent}
\alias{taxonomic_parent}
\alias{taxonomic_parent.robitaxid}
\alias{taxonomic_parent.numeric}
\alias{taxonomic_parent.tbl}
\alias{taxonomic_parent.robimotu}
\alias{taxonomic_parent.robimetabar}
\alias{taxon_at_rank.tbl}
\alias{taxon_at_rank.robimotu}
\alias{taxon_at_rank.robimetabar}
\title{Returns the parent taxon corresponding to a \emph{NCBI taxid}}
\usage{
taxonomic_parent(data, taxonomy, with_name = TRUE, results_in, ...)

\method{taxonomic_parent}{robitaxid}(data, taxonomy, with_name = TRUE, results_in)

\method{taxonomic_parent}{numeric}(data, taxonomy, with_name = TRUE, results_in)

\method{taxonomic_parent}{tbl}(data, taxonomy, with_name = TRUE, results_in, slot)

\method{taxonomic_parent}{robimotu}(data, taxonomy, with_name = TRUE, results_in, slot)

\method{taxonomic_parent}{robimetabar}(data, taxonomy, with_name = TRUE, results_in, slot)

\method{taxon_at_rank}{tbl}(data, taxonomy, rank, with_name = FALSE, results_in, slot)

\method{taxon_at_rank}{robimotu}(data, taxonomy, rank, with_name = FALSE, results_in, slot)

\method{taxon_at_rank}{robimetabar}(data, taxonomy, rank, with_name = FALSE, results_in, slot)
}
\arguments{
\item{taxonomy}{an object able to provide a taxonomy.}

\item{taxid}{an integer value or a vector of integer representing NCBI
taxonomic identifiers.}

\item{name}{A logical value \code{TRUE} or \code{FALSE} indicating if the
method returns a taxid or a scientific name.}
}
\value{
\describe{ \item{If \code{name==FALSE}}{the taxid of the
                           parent taxon as an integer or a vector of
                           integers if the \code{taxid} argument is itself
                           a vector}
                     \item{If \code{name==TRUE}}{the scientific name of the
                           parent taxon as a string or a vector of
                           string if  the \code{taxid} argument is itself a
                           vector} }
}
\description{
\code{parent} function in package \pkg{\link{ROBITaxonomy}} returns the
parent taxon corresponding to a \emph{NCBI taxid}.
}
\author{
Eric Coissac
}
