% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_methods.R, R/taxonomy_robi.R
\name{taxonomic_rank}
\alias{taxonomic_rank}
\alias{taxonomic_rank.robitaxid}
\alias{taxonomic_rank.numeric}
\alias{taxonomic_rank.tbl}
\alias{taxonomic_rank.robimotu}
\alias{taxonomic_rank.robimetabar}
\title{Returns the taxonomic rank associated to a taxid}
\usage{
taxonomic_rank(data, taxonomy, results_in, ...)

\method{taxonomic_rank}{robitaxid}(data, taxonomy, results_in)

\method{taxonomic_rank}{numeric}(data, taxonomy, results_in)

\method{taxonomic_rank}{tbl}(data, taxonomy, results_in, slot)

\method{taxonomic_rank}{robimotu}(data, taxonomy, results_in, slot)

\method{taxonomic_rank}{robimetabar}(data, taxonomy, results_in, slot)
}
\arguments{
\item{data}{a vector of taxid to analyse}

\item{taxonomy}{an object able to provide a taxonomy.}
}
\value{
a vector of type \code{character} containing the taxonomic ranks
}
\description{
Returns the taxonomic rank associated to a taxid
}
\author{
Eric Coissac
}
