% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_robi.R
\name{write_robitaxonomy}
\alias{write_robitaxonomy}
\title{Saves a robitaxonomy instance.}
\usage{
write_robitaxonomy(
  taxonomy,
  file,
  only_full = FALSE,
  verbose = is_robi_verbose()
)
}
\arguments{
\item{taxonomy}{the \code{robitaxonomy} object to save.}

\item{file}{a (writable binary-mode) connection or the name of the file
where the data will be saved (when tilde expansion is done).}

\item{only_full}{a logical value indicating if only full taxonomy can be
saved. If set to \code{FALSE} and a partial taxonomy is saved, it is before
completed using the \code{full_taxonomy()} function.}

\item{verbose}{if \code{TRUE} message can be printed out during the function
execution in interactive mode.}
}
\value{
the provided taxonomy in invisible mode.
}
\description{
Save a robitaxonomy instance into a file on disque. Only full taxonomy
can be saved. If a partial taxonomy is passed as argument, it will be
enventally completed before saving
}
\seealso{
\code{full_taxonomy()}
}
\author{
Eric Coissac \href{mailto:eric.coissac@metabarcoding.org}{eric.coissac@metabarcoding.org}
}
