/**
 * Degenerated nucleotides are coded on four bits
 *
 * 8421
 * ACGT
 *
 * Table for converting IUPAC symbol in DNA code
 *
 */
const char   robi_codeDNA[256] = {  0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0, 0,
                              /*    A    B    C    D    E    F    G    H   */
                                    8,   7,   4,  11,   0,   0,   2,  13,
                              /*    I    J    K    L    M    N    O    P   */
                                    0,   0,   3,   0,  12,  15,   0,   0,
                              /*    Q    R    S    T    U    V    W    X   */
                                    0,  10,   6,   1,   1,  14,   9,   0,
                              /*    Y    Z                                 */
                                    5,   0,   0,   0,   0,   0,   0,   0,
                              /*    a    b    c    d    e    f    g    h   */
                                    8,   7,   4,  11,   0,   0,   2,  13,
                              /*    i    j    k    l    m    n    o    p   */
                                    0,   0,   3,   0,  12,  15,   0,   0,
                              /*    q    r    s    t    u    v    w    x   */
                                    0,  10,   6,   1,   1,  14,   9,   0,
                              /*    y    z                                 */
                                    5,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0,   0,
                                    0,   0,   0,   0,   0,   0,   0 };

/**
 *
 * Constant for decoding dna code into IUPAC symbol
 *
 *                               0000000000011111
 *                               0123456789012345
 */
const char robi_DNAcode[17] = "-TGKCYSBAWRDMHVN";
