% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxonomy_ncbi.R
\name{read_ncbi_taxdump}
\alias{read_ncbi_taxdump}
\title{Reads a NCBI taxonomy databse dump.}
\usage{
read_ncbi_taxdump(
  file = .NCBIURL,
  keep_alternative_names = FALSE,
  keep_alternative_taxids = FALSE,
  nodes_dump = "nodes.dmp",
  name_dump = "names.dmp",
  verbose = is_robi_verbose()
)
}
\arguments{
\item{file}{a string pointing to a directory, a tar file, or an URL}

\item{keep_alternative_names}{a logical indicating if at the end of the
process names, other than the scientific names have to be kept in memory.}

\item{keep_alternative_taxids}{a logical indicating if deleted taxids and
merged taxids have to be stored to allow for looking in them and converting
them to current taxids.}

\item{nodes_dump}{the name of the dump of the nodes constituting the tree.}

\item{name_dump}{the name of the dump containing the names of the taxa.}

\item{verbose}{a logical indicating if progession messages have to be printed
on the console.}
}
\value{
a \code{\link[ROBITools2]{robitaxonomy}} instance.
}
\description{
NCBI provides ASCII dump of their database. They can be downloaded from their
FTP site as a compressed (gzip) tar archive at the following URL:
}
\details{
> https://ftp.ncbi.nlm.nih.gov/pub/taxonomy/taxdump.tar.gz

The function can download the archive, untar it or only reads the files from
a directory according to the string passed through the parametter
\code{file}.
}
\examples{

taxo <- read_ncbi_taxdump()

}
